BeanContainer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Interface BeanContainer

All Known Implementing Classes:
  SimpleBeanContainer

    public interface BeanContainer

The `BeanBox`treats all bean objects that implement this interface as container beans.

Method Summary
`void` | `add(java.lang.Object bean)` adds the specified bean object to this container.
`boolean` | `contains(java.lang.Object bean)` checks if the specified bean lies in this container.
`java.util.Vector` | `getContents()` gets the contents of this container as a vector of bean objects.
`BeanLayoutManager` | `getLayout()` gets the layout manager bean assocciated with this container.
`java.lang.String` | `getLayoutClass()` gets the class name of the layout manager bean assocciated with this container.
`void` | `remove(java.lang.Object bean)` removes the specified bean object from this container.
`void` | `removeAll()` removes all beans from this container.
`void` | `setContents(java.util.Vector contents)` sets the contents of this container as a vector of bean objects.
`void` | `setLayout(BeanLayoutManager layout)` sets the layout manager bean assocciated with this container.
`void` | `setLayoutClass(java.lang.String lc)` sets the class name of the layout manager bean assocciated with this container.
`void` | `validate()` calling this method is meant to generate a call to the layout manager's layoutContainer method.

Method Detail

### getContents

    java.util.Vector getContents()

  gets the contents of this container as a vector of bean objects.

### setContents

    void setContents(java.util.Vector contents)

  sets the contents of this container as a vector of bean objects.

### add

    void add(java.lang.Object bean)

  adds the specified bean object to this container.

### remove

    void remove(java.lang.Object bean)

  removes the specified bean object from this container.

### removeAll

    void removeAll()

  removes all beans from this container.

### contains

    boolean contains(java.lang.Object bean)

  checks if the specified bean lies in this container.

### getLayout

    BeanLayoutManager getLayout()

  gets the layout manager bean assocciated with this container.

### setLayout

    void setLayout(BeanLayoutManager layout)

  sets the layout manager bean assocciated with this container. The layout manager bean is responsible for laying out the contents of this container.

### getLayoutClass

    java.lang.String getLayoutClass()

  gets the class name of the layout manager bean assocciated with this container.

### setLayoutClass

    void setLayoutClass(java.lang.String lc)

  sets the class name of the layout manager bean assocciated with this container.

### validate

    void validate()

  calling this method is meant to generate a call to the layout manager's layoutContainer method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details